Bug 1541039 - bibutils: Does not use Fedora build flags
Summary: bibutils: Does not use Fedora build flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bibutils
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-02-01 15:09 UTC by Florian Weimer
Modified: 2019-02-26 01:23 UTC (History)
2 users (show)

Fixed In Version: bibutils-6.5-1.fc29 bibutils-6.6-1.fc28 bibutils-6.6-1.fc27 bibutils-6.6-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 17:41:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-02-01 15:09:54 UTC
bibutils-6.2-1.fc28 was not built with the full complement of build flags from redhat-rpm-config.

The reason is that only the compiler flags (%{optflags}) were injected, not the linker flags:

./configure --install-dir %{buildroot}%{_bindir} --install-lib %{buildroot}%{_libdir} --dynamic
make DISTRO_CFLAGS="%{optflags}"

Please consider switching to the %configure macro, it should take care of this automatically.

Comment 1 Jens Petersen 2018-02-02 08:39:01 UTC
Thanks for the report, should be fixed in bibutils-6.2-2.fc28

Comment 2 Fedora End Of Life 2018-02-20 15:32:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Igor Gnatenko 2018-03-26 08:54:32 UTC
Florian, could you confirm please?

Comment 4 Florian Weimer 2018-03-26 09:37:45 UTC
Unfortunately, the package makefile ignores LDFLAGS.  From the bibutils-6.2-4.fc28.x86_64 build log:

cc -shared -Wl,-soname,libbibutils.so.6 -o libbibutils.so.6.2 charsets.o is_ws.o strsearch.o entities.o gb18030.o latex.o str.o str_conv.o unicode.o utf8.o fields.o intlist.o slist.o vplist.o xml.o xml_encoding.o bibl.o iso639_1.o iso639_2.o iso639_3.o marc.o name.o notes.o pages.o reftypes.o serialno.o title.o url.o bibcore.o bibtexin.o bibtextypes.o biblatexin.o bltypes.o copacin.o copactypes.o endin.o endtypes.o endxmlin.o generic.o isiin.o isitypes.o medin.o nbibin.o nbibtypes.o modsin.o modstypes.o risin.o ristypes.o ebiin.o wordin.o adsout.o bibtexout.o endout.o isiout.o modsout.o risout.o wordout.o bibutils.o

Not even CFLAGS injected, so probably the makefile needs to be patched.

Comment 5 Jens Petersen 2018-06-29 08:43:34 UTC
Err, I see CFLAGS injection.

https://kojipkgs.fedoraproject.org//packages/bibutils/6.3/1.fc28/data/logs/x86_64/build.log

Let me try to fix the LDFLAGS.

Comment 6 Jens Petersen 2018-06-29 09:17:11 UTC
Okay this should be fixed now.

Comment 7 Fedora Update System 2018-06-29 09:41:58 UTC
bibutils-6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c465c127c

Comment 8 Fedora Update System 2018-06-29 09:42:12 UTC
bibutils-6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f84867e56f

Comment 9 Fedora Update System 2018-07-01 02:53:32 UTC
bibutils-6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c465c127c

Comment 10 Fedora Update System 2018-07-01 05:06:12 UTC
bibutils-6.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f84867e56f

Comment 11 Fedora Update System 2018-07-23 07:45:54 UTC
bibutils-6.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 12 Fedora Update System 2018-07-23 07:46:18 UTC
bibutils-6.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ec3061fc8

Comment 13 Fedora Update System 2018-07-23 07:46:33 UTC
bibutils-6.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67914db5d9

Comment 14 Fedora Update System 2018-07-23 19:40:40 UTC
bibutils-6.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ec3061fc8

Comment 15 Fedora Update System 2018-07-23 19:50:14 UTC
bibutils-6.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 16 Fedora Update System 2018-07-23 22:21:48 UTC
bibutils-6.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67914db5d9

Comment 17 Fedora Update System 2018-07-28 03:22:28 UTC
bibutils-6.6-1.el7 ghc-hs-bibutils-6.6.0.0-1.el7 pandoc-citeproc-0.3.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 18 Fedora Update System 2018-07-29 02:32:10 UTC
bibutils-6.6-1.el7, ghc-hs-bibutils-6.6.0.0-1.el7, pandoc-citeproc-0.3.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 19 Fedora Update System 2018-08-01 17:41:17 UTC
bibutils-6.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-08-01 17:54:59 UTC
bibutils-6.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-02-26 01:23:30 UTC
bibutils-6.6-1.el7, ghc-hs-bibutils-6.6.0.0-1.el7, pandoc-citeproc-0.3.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.